petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCHYPRESetEdgeConstantVectors

Set the representation of the constant vector fields in edge element basis

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCHYPRESetEdgeConstantVectors(PC pc, Vec ozz, Vec zoz, Vec zzo)

Collective on PC Many br

### Input Parameters

| pc | - the preconditioning context Many br
| ozz | - vector representing (1,0,0) (or (1,0) in 2D) Many br

zoz -vector representing (0,1,0) (or (0,1) in 2D) Many br
zzo -vector representing (0,0,1) (use NULL in 2D) Many br

Many br

### Notes

### See Also

Level:intermediate
Location:src/ksp/pc/impls/hypre/hypre.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages